Subject: Re: Strange effect merging empty file

From: [email-masked] (Randal L. Schwartz)
Date: Thu, 22 Mar 2012 05:17:13 -0700

>>>>> "Zbigniew" == Zbigniew Jędrzejewski-Szmek <[email-masked]> writes:

Zbigniew> touch .gitignore

If you're doing this to make sure git makes an empty directory, always
put the directory name in there as a comment... that makes it (a) not an
empty file (so merge doesn't get confused) and (b) unique, so when you
change it, merge won't try to change other similar empty files.

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Smalltalk/Perl/Unix consulting, Technical writing, Comedy, etc. etc.
See http://methodsandmessages.posterous.com/ for Smalltalk discussion